org.apache.cassandra.tools.nodetool

## Class HostStat

- java.lang.Object
- - org.apache.cassandra.tools.nodetool.HostStat

-     public class HostStat
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.net.InetAddress` | `endpoint`
    `java.lang.Float` | `owns`
    `boolean` | `resolveIp`
    `java.lang.String` | `token`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HostStat(java.lang.String token, java.net.InetAddress endpoint, boolean resolveIp, java.lang.Float owns)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `ipOrDns()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### endpoint

          public final java.net.InetAddress endpoint

    - #### resolveIp

          public final boolean resolveIp

    - #### owns

          public final java.lang.Float owns

    - #### token

          public final java.lang.String token

  - ### Constructor Detail

    - #### HostStat

          public HostStat(java.lang.String token,
                          java.net.InetAddress endpoint,
                          boolean resolveIp,
                          java.lang.Float owns)

  - ### Method Detail

    - #### ipOrDns

          public java.lang.String ipOrDns()

Copyright © 2018 The Apache Software Foundation